varying vec2 screenPosition;
varying vec4 worldPosition;
varying vec4 lightCol;
void main(void) {


  vec4 v = vec4(gl_Vertex);		
  worldPosition = gl_ModelViewMatrix * v;
  float l = 1.0;


  vec4 p = (gl_ModelViewProjectionMatrix * v);


          
  vec4 aap = gl_Color;                        

  float d = length(v*.012);
  float c = d*(1.0-d*4.3) * 2.4;
  float e = 0.0;
  lightCol = vec4(e, c, e,0.0 )*aap * l;
  gl_Position = p;

}
